#ifndef EDITSCENE_CHARACTER_CLASS_OVERRIDE_EDITOR_HPP
#define EDITSCENE_CHARACTER_CLASS_OVERRIDE_EDITOR_HPP
#pragma once

#include "ComponentEditor.hpp"
#include "../components/CharacterClassComponent.hpp"

class CharacterClassOverrideEditor
	: public ComponentEditor<CharacterClassOverrideComponent> {
public:
	const char *getName() const override
	{
		return "Character Class Override";
	}

protected:
	bool renderComponent(flecs::entity entity,
			     CharacterClassOverrideComponent &comp) override;
};

#endif // EDITSCENE_CHARACTER_CLASS_OVERRIDE_EDITOR_HPP
